Bug 153962 - Dependency Error the package doesn't check for the presence of mpg123.
Summary: Dependency Error the package doesn't check for the presence of mpg123.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Plugin-Generic-VideoSlideshow (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-13 13:11 UTC by Michael C. Vergallen
Modified: 2017-06-30 07:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael C. Vergallen 2007-12-13 13:11:00 UTC
Version:           0.6.3 (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages
OS:                Linux

Create MPEG Slideshow depends on the presence of the mpg123 package on the system however it does not check for the presence of the package in the Kubuntu distribution. So the mpeg fails to complete. I don't know who is to blaim but it is a dependency failure that caused me to loose 18 hrs of my time because I was creating a 912 jpg mpeg. That doesn't bother me that much...I also tried to deinstall the who package one & reinstalled it but no mention of the depency on mpg123 until you have finished to generate your mpeg.

Michael C. Vergallen
Comment 1 Colin Guthrie 2007-12-13 14:44:19 UTC
Forgive me, but it this not a Kubuntu bug?

If it's reported here it should really be a bug about failing gracefully if the program is not installed and giving you the chance to save it, but this report seems to be 100% about kubuntu packaging.
Comment 2 Angelo Naselli 2007-12-13 15:27:38 UTC
And it is. Nothing can be done at run time, maybe a check if all the needed programs are in but they are used into the images2mpg, they should be:
# - 'montage'   from ImageMagick for resize the images for the TV screen size.
# - 'composite' from ImageMagick for make the transition between images.
# - 'convert'   from ImageMagick for convert the images before MPEG encoding.
# - 'identify'  from ImageMagick for check the background image file size.
# - 'ppmtoy4m'  from MjpegTools for create a video stream from the image.
# - 'yuvscaler' from MjpegTools for adapt the video stream size before MPEG
#               encoding.
# - 'mpeg2enc'  from MjpegTools for encode the video stream in MPEG file.
# - 'ogg123'    from vorbis-utils to transcode an ogg-audio file to wav
# - 'mpg123'    to transcode an mp3-audio file to wav
# - 'mp2enc'    from MjpegTools to transcode a WAV sound file to a MP2 file.
# - 'mplex'     from MjpegTools for multiplexe the MPEG file and the MP2 
#               sound and convert the final MPEG file to a DVD/XVCD/SVCD/VCD
#               format compatible with vcdimager program.

Will see and try to add a check into the script to get an error, but the dependencies are distro problems.... 
Comment 3 Michael C. Vergallen 2007-12-13 15:48:10 UTC
I know it is so after a check off the soorce code ...but the kubuntu bug reporting system sent me to the kde bug reporting system... this is what is strage ...they seem to pass off all bug reports of their packages and packaging system off to the kde bug reporting system. So I just reported it where they pointed me to.

Regards,

Michael 
Comment 4 Angelo Naselli 2007-12-13 16:03:37 UTC
SVN commit 748080 by anaselli:

Added a check that programs needed are in the system
CCBUG: 153962

 M  +48 -0     images2mpg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=748080
Comment 5 Angelo Naselli 2007-12-14 09:41:52 UTC
Hi Michael
> but the kubuntu bug reporting system sent me to the kde bug reporting system... 

As far as i can say - and i know what i'm saying ;) - as developers we can (and must) check
all the needed dependencies to build the project, after that if some are needed at run time
that is up to installer, so if you install it from scratch it's up to you, but if you trust your
distro it's up to distro packagers. So they must add that dep into deb, rpm,... whatelse

My best,
	Angelo
P.S. the script has been changed if it can't find the binaries needed returns error to gui,
but is buggy if used from console, i'll fix it as soon as possible.
Comment 6 Achim Bohnet 2007-12-14 10:09:24 UTC
Hi Michael,

which kubuntu bug number are you refering too?  Found nothing obvious for
pkg kipi-plugins.

FWIW: mpg123 is already a recommend.  So aptitude and recent apt-get install
it by default:

$ apt-cache show kipi-plugins | grep mpg123
Recommends: k3b, graphicsmagick-imagemagick-compat (>= 1.1.7) | imagemagick (>= 5.4.8), kmail, kdeprint, sane-utils, kooka, konqueror, mpg123

So from kubunt packaging point of view everything is okay.


Do I understand you correctly: you would like to get a dialog telling you if any of the binaries needed during runtime is not available when you start
the conversion.

Achim
Comment 7 Michael C. Vergallen 2007-12-14 15:35:00 UTC
Yes I think that would be best but in Kubunto something strange happened then because it installed every other dependency besides mpg123. Could it be that I was using a defective cd image ? I don't know but after installing the mpg123 package manually it worked.
Comment 8 Angelo Naselli 2007-12-14 18:16:39 UTC
> I don't know but after installing the mpg123 package manually it worked.  


As far as i can say if you installed it manually without removing the old one it
was because of a new version or of you haven't any installed...

Angelo
Comment 9 Michael C. Vergallen 2007-12-14 21:47:22 UTC
The standard install on a new machine of kubuntu 7.10 does not install mpg123 on the machine it does however install the rest of the dependencies I say that it was a  new fresh install on a blank hard drive (new one). The old boot/root disk died. This is what prompted me to try and report this to the kubuntu poeple but they seem to pass their problem on to this list...     
Comment 10 Achim Bohnet 2007-12-15 22:24:35 UTC
Mhmm mpg123 and sane-utils are not installed here (kubuntu / gutsy)

Try
    aptitude purge kipi-plugins
now
    aptitude install kipi-plugins

At least here kipi-plugins mpg123 and sane-utils are installed. So
everything recommended and not installed gets then installed.

Mhhm, mpg123 and sane-utils are from universe as you can see from

   apt-cache policy k3b graphicsmagick-imagemagick-compat imagemagick \
                 sane-utils kooka mpg123

Did you have a network connection during install?  Was universe commented out in the original sources.list?   If one of them is true mpg123 could not be
installed, because it could not be found/downloaded from the universe repo.

Achim
Comment 11 Achim Bohnet 2007-12-15 22:48:57 UTC
Hi, I've pinged on #kubuntu-devel:

[22:30] <allee> mhh, question is if universe is used during a standard installation.    MAYBE (wild guess)  only recommends from main are considered.    At least mpg123 and sane-utils the two universe recommends of kipi-plugins were not installed here too
...
[22:32] <Riddell> universe won't be used

So during an standard install only components from main (supported officially by canonical) are considered, nothing universe (community support).

That's the explanation and I'll close the bug, because it's really only *ubuntu
specific.

Feel free to open a wish list report in launchpad.
Comment 12 Angelo Naselli 2007-12-29 15:17:18 UTC
SVN commit 754300 by anaselli:

SVN_SILENT: moved the programs check only if they are not in the path (as they are used in gui)
TODO: adding a better check (too late for rc1)
CCBUG: 153962

 M  +10 -9     images2mpg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=754300
Comment 13 caulier.gilles 2017-06-30 07:10:17 UTC
digiKam has a new Video Slideshow tool based on QtAV and ffmpeg which do not
have this problem.

Gilles Caulier